package io.gmss.fiscad.interfaces.synchronisation;

import io.gmss.fiscad.entities.infocad.metier.Tpe;
import io.gmss.fiscad.paylaods.response.restoration.*;

import java.util.List;

public interface RestaurationService {

    List<ActeurConcernePayLoad> getActeurConcernes(Long terminaleId);

    List<EnquetePayLoad> getEnquete(Long terminaleId);

    List<PersonnePayLoad> getPersonne(Long terminaleId);

    List<ParcellePayLoad> getParcelle(Long terminaleId);

    List<PiecePayLoad> getPieces(Long terminaleId);

    List<MembreGroupePayLoad> getMembreGroupe(Long terminaleId);

    List<io.gmss.fiscad.paylaods.request.UploadPayLoad> getUpload(Long terminaleId);

    List<BatimentPayload> getBatiment(Long terminalId);

    List<EnqueteBatimentPayLoad> getEnqueteBatiment(Long terminalId);

    List<CaracateristiqueParcellePayLoads> getCaracateristiqueParcelle(Long terminalId);

    List<CaracateristiqueBatimentPayLoads> getCaracateristiqueBatiment(Long terminalId);

    List<CaracteristiqueUniteLogementPayLoad> getCaracateristiqueUniteLogement(Long terminalId);

    List<EnqueteUniteLogementPayLoad> getEnqueteUniteLogement(Long terminalId);

    List<UniteLogementPayLoad> getUniteLogement(Long terminalId);

    public List<Tpe> getTpeListByCurrentUser();

}